<section class="content">
    <h1>Scan QR code</h1>
    <h2 *ngIf="status === 'AWAITING_DOWNLOAD'">De klant {{hasPartner ? 'of partner ' : ''}}kan nu onderstaande QR code
        scannen om de resultaten op de
        telefoon te zien en te delen.</h2>
    <h2 *ngIf="status === 'PERMISSION_DENIED'">De klant {{hasPartner ? 'of partner ' : ''}}heeft geen toestemming
        gegeven een budgetplan te maken. Klik op de knop hieronder om af te sluiten.</h2>
    <div *ngIf="status === 'DOWNLOADED'">
        <h2>De klant {{hasPartner ? 'of partner ' : ''}}heeft de QR-code gescand. Hij
            kan
            nu op de telefoon zijn gegevens inzien en toestemming verlenen om een budgetplan te maken.</h2>
        <aside class="waiting-svg">

            <svg version="1.1" id="L2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                x="0px" y="0px" viewBox="0 0 100 100" enable-background="new 0 0 100 100" xml:space="preserve">
                <circle fill="none" stroke="#2a5686" stroke-width="4" stroke-miterlimit="10" cx="50" cy="50" r="48" />
                <line fill="none" stroke-linecap="round" stroke="#cc0300" stroke-width="4" stroke-miterlimit="10"
                    x1="50" y1="50" x2="85" y2="50.5">
                    <animateTransform attributeName="transform" dur="5s" type="rotate" from="0 50 50" to="360 50 50"
                        repeatCount="indefinite" />
                </line>
                <line fill="none" stroke-linecap="round" stroke="#cc0300" stroke-width="4" stroke-miterlimit="10"
                    x1="50" y1="50" x2="49.5" y2="74">
                    <animateTransform attributeName="transform" dur="30s" type="rotate" from="0 50 50" to="360 50 50"
                        repeatCount="indefinite" />
                </line>
            </svg>
            <p>Even geduld tot de klant de gegevens heeft gecontroleerd op zijn telefoon...</p>
        </aside>
    </div>
    <section class="qr-content" *ngIf="qrUrl && (status === 'AWAITING_DOWNLOAD' || status === 'EXPIRED')">
        <!-- QR contents for testing purposes:  -->
        <a *ngIf="devLink" [href]="qrUrl" target="_blank" style="color:rgb(185, 185, 185)">{{qrUrl}}</a>
        <!-- / QR contents for testing purposes  -->
        <figure class="qr" [innerHTML]="qrSvgTag | safeHtml">{{qrSvgTag}}</figure>
    </section>
    <section class="quit-container" *ngIf="status === 'PERMISSION_DENIED'">

        <button class="primary">Afsluiten</button>
    </section>
</section>